Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protege.server.metaproject
Interface PolicyControlledObject

All Known Subinterfaces:
  Group, ProjectInstance, ServerInstance

All Known Implementing Classes:
  GroupImpl, PolicyControlledObjectImpl, ProjectInstanceImpl, ServerInstanceImpl

    public interface PolicyControlledObject

Method Summary
`void` | `addAllowedGroupOperations(GroupOperation groupOperation)`
`void` | `addInCollection(PolicyControlledObjectCollection collection)`
`void` | `addPropertyValue(PropertyValue propertyValue)`
`void` | `addPropertyValue(String prop, String value)`
`Set<GroupOperation>` | `getAllowedGroupOperations()`
`String` | `getDescription()`
`Set<PolicyControlledObjectCollection>` | `getInCollection()`
`MetaProject` | `getMetaProject()`
`String` | `getName()`
`String` | `getPropertyValue(String prop)`
`Collection<PropertyValue>` | `getPropertyValues()`
`Collection<String>` | `getPropertyValuesAsString(String prop)`
`Instance` | `getProtegeInstance()`
`boolean` | `isPolicyModifiableByClient()`
`void` | `removeInCollection(PolicyControlledObjectCollection collection)`
`void` | `removePropertyValue(PropertyValue propertyValue)`
`void` | `removePropertyValue(String prop, String value)`
`void` | `setAllowedGroupOperations(Collection<GroupOperation> groupOperations)`
`void` | `setDescription(String description)`
`void` | `setInCollection(Set<PolicyControlledObjectCollection> collections)`
`void` | `setName(String name)`
`void` | `setPolicyModifiableByClient(boolean modifiable)`
`void` | `setPropertyValues(Collection<PropertyValue> propertyValues)`

Method Detail

### getName

    String getName()

### setName

    void setName(String name)

### getDescription

    String getDescription()

### setDescription

    void setDescription(String description)

### isPolicyModifiableByClient

    boolean isPolicyModifiableByClient()

### setPolicyModifiableByClient

    void setPolicyModifiableByClient(boolean modifiable)

### getProtegeInstance

    Instance getProtegeInstance()

### getMetaProject

    MetaProject getMetaProject()

### getAllowedGroupOperations

    Set<GroupOperation> getAllowedGroupOperations()

### setAllowedGroupOperations

    void setAllowedGroupOperations(Collection<GroupOperation> groupOperations)

### addAllowedGroupOperations

    void addAllowedGroupOperations(GroupOperation groupOperation)

### getPropertyValues

    Collection<PropertyValue> getPropertyValues()

### getPropertyValuesAsString

    Collection<String> getPropertyValuesAsString(String prop)

### getPropertyValue

    String getPropertyValue(String prop)

### setPropertyValues

    void setPropertyValues(Collection<PropertyValue> propertyValues)

### addPropertyValue

    void addPropertyValue(PropertyValue propertyValue)

### addPropertyValue

    void addPropertyValue(String prop,
                          String value)

### removePropertyValue

    void removePropertyValue(PropertyValue propertyValue)

### removePropertyValue

    void removePropertyValue(String prop,
                             String value)

### getInCollection

    Set<PolicyControlledObjectCollection> getInCollection()

### addInCollection

    void addInCollection(PolicyControlledObjectCollection collection)

### removeInCollection

    void removeInCollection(PolicyControlledObjectCollection collection)

### setInCollection

    void setInCollection(Set<PolicyControlledObjectCollection> collections)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2012 Stanford University.